package com.wcs.back.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.wcs.back.domain.HkResult;
import com.wcs.back.service.IWcsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * wcs回调Controller
 *
 * @author zf
 * @date 2022-11-11
 */
@RestController
@RequestMapping("/rcms")
@Api(value = "wcs回调控制器", tags = {"wcs回调管理"})
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class HkController {

    private final IWcsService wcsService;

    /**
     * 海康任务下发
     */
    @ApiOperation("海康任务下发")
    @PostMapping("/services/rest/hikRpcService/genAgvSchedulingTask")
    public HkResult genAgvSchedulingTask(@RequestBody String json, HttpServletRequest request) throws JsonProcessingException {
        HkResult hkResult = wcsService.genAgvSchedulingTask(json, request);
        return hkResult;
    }
}
