package com.wcs.back.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 普通搬运任务
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AgvSetUpTask {
    /**
     * 任务号
     */
    private String taskNo;
    /**
     * 序号（同一任务号，序号从0开始）
     */
    private Integer taskIndex;
    /**
     * 目的地标
     */
    private String armSite;
    /**
     * 目的点动作（0 保持 1 取料 2 下料）
     */
    private Integer actionType;
    /**
     * 指定Agv( 0表示不指定 否则表示为对应的AGVID)
     */
    private Integer agv;
    /**
     * 是否等待WMS放行信号（0 等待放行 1 直接放行）
     */
    private Integer isWaitWMSSingal;
    /**
     * 任务创建时间
     */
    private String buildTime;
    private String exeTime;
    private String finishTime;
    private String exeAgv;
    private String taskState;
    /**
     * 优先级从1往上数字越大，优先级越小
     */
    private String priority;

    /**
     * 料箱号
     */
    private String materialBinId;

    /**
     * 区域类型::1-CTU库位, 2-AGV库位, 3-四向车库位, 4-堆垛机库位, 5-输送线库位
     */
    private String areaType;
    /**
     * WMS业务类型
     */
    private String data1;
    /**
     * WMS业务序号
     */
    private String data2;
    /**
     * 备用字段
     */
    private String data3;
    /**
     * 备用字段
     */
    private String data4;
    /**
     * 备用字段
     */
    private String data5;
    /**
     * 备用字段
     */
    private String data6;
}
