package com.wcs.back.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * CTU任务回调Vo
 *
 * @author zf
 * @date 2023-01-05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CTUTaskBackVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 任务号
     */
    @NotBlank(message = "任务号不能为空")
    private String taskNo;

    /**
     * 料箱号
     */
    @NotBlank(message = "料箱号不能为空")
    private String materialBinId;

    /**
     * wms业务号
     */
    private String bizNo;

    /**
     * 任务状态：10-取料成功，20-拆箱完成，30-拆托完成，40-已送达，99-异常
     */
    @NotBlank(message = "任务状态不能为空")
    private String taskState;

    /**
     * 异常信息或者其他备注
     */
    private String remark;

    /**
     * 备用字段1
     */
    private String data1;

    /**
     * 备用字段2
     */
    private String data2;

    /**
     * 备用字段3
     */
    private String data3;

    /**
     * 备用字段4
     */
    private String data4;

    /**
     * 备用字段5
     */
    private String data5;

    /**
     * 备用字段6
     */
    private String data6;
}
