package com.wcs.back.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * CTU任务Vo
 *
 * @author zf
 * @date 2023-01-05
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CTUTaskVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 任务号
     */
    private String taskNo;

    /**
     * 取料/目的地地标信息列表
     */
    private List<Site> siteList;

    /**
     * 任务创建时间
     */
    private String buildTime;

    /**
     * 备用字段
     */
    private String data1;
    /**
     * 备用字段
     */
    private String data2;
    /**
     * 备用字段
     */
    private String data3;
    /**
     * 备用字段
     */
    private String data4;
    /**
     * 备用字段
     */
    private String data5;
    /**
     * 备用字段
     */
    private String data6;

    /**
     * 取料地标信息
     */
    @Data
    public static class Site {
        /**
         * 序号
         */
        private Integer taskIndex;

        /**
         * 取料地标
         */
        private String reclaimingSite;

        /**
         * 目的地标
         */
        private String destinationSite;

        /**
         * 料箱号
         */
        private String materialBinId;

        /**
         * wcs业务号
         */
        private String bizNo;

        /**
         * 任务类型::10-入库, 20-出库, 30-移库
         */
        private String type;

    }
}
