package com.wcs.back.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 滚筒线任务回调Vo
 *
 * @author zf
 * @date 2023-01-05
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DrumLineTaskBackVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 任务号
     */
    private String taskNo;

    /**
     * 滚筒任务状态::40-已送达, 99-异常
     */
    private String taskState;

    /**
     * 料箱号
     */
    private String materialBinId;

    /**
     * 异常信息或者其他备注
     */
    private String remark;

    /**
     * 备用字段
     */
    private String data1;
    /**
     * 备用字段
     */
    private String data2;
    /**
     * 备用字段
     */
    private String data3;
    /**
     * 备用字段
     */
    private String data4;
    /**
     * 备用字段
     */
    private String data5;
    /**
     * 备用字段
     */
    private String data6;

    /**
     * 取料地标信息
     */
    @Data
    public static class Site {
        /**
         * 序号
         */
        private Integer taskIndex;

        /**
         * 取料地标
         */
        private String reclaimingSite;

        /**
         * 目的地标
         */
        private String destinationSite;

        /**
         * 料箱号
         */
        private String materialBinId;

        /**
         * 拆箱任务号
         */
        private String disassemblyTaskNo;

    }
}
