package com.wcs.back.domain;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 机械臂任务Vo
 *
 * @author zf
 * @date 2023-01-05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RoboticArmTaskVo", description = "机械臂任务实体")
public class RoboticArmTaskVo {
    /**
     * 任务号
     */
    private String taskNo;

    /**
     * 取料目的地标
     */
    private String reclaimingSite;

    /**
     * 箱型
     */
    private String boxType;

    /**
     * 垛型
     */
    private String stackType;

    /**
     * 应拆箱的数量
     */
    private Integer shouldBoxNum;

    /**
     * 库存箱数
     */
    private Integer fullBoxNum;

    /**
     * 是否铸铁::10-是, 20-否
     */
    private String castIron;

    /**
     * 是否回库::10-是, 20-否
     */
    private String isBack;

    /**
     * 托盘号
     */
    private String palletCode;

    /**
     * 目的地标信息列表
     */
    private List<DismantlingInfo> armSiteList;

    /**
     * 任务创建时间
     */
    private String buildTime;

    /**
     * 备用字段
     */
    private String data1;
    /**
     * 备用字段
     */
    private String data2;
    /**
     * 备用字段
     */
    private String data3;
    /**
     * 备用字段
     */
    private String data4;
    /**
     * 备用字段
     */
    private String data5;
    /**
     * 备用字段
     */
    private String data6;

    /**
     * 拆托任务信息
     */
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class DismantlingInfo {
        /**
         * 序号
         */
        private Integer taskIndex;

        /**
         * 拆箱号
         */
        private String disassemblyTaskNo;

        /**
         * 目的区域::10-料箱区, 20-分拣区, 30-拣零区
         */
        private String destinationArea;

        /**
         * 目的地标
         */
        private String destinationSite;

        /**
         * 料箱号
         */
        private String materialBinId;
    }
}
