package com.wcs.back.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 滚筒线信息Vo
 *
 * @author zf
 * @date 2024/2/4
 */
@Data
public class RollerInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 滚筒线编号 */
    @ApiModelProperty("滚筒线编号")
    private String rollerID;

    /** 是否在线 */
    @ApiModelProperty("是否在线")
    private boolean connectState;

    /** 模式【0：手动、1：自动】 */
    @ApiModelProperty("模式【0：手动、1：自动】")
    private int mode;

    /** 出入库状态【0：其他、1：出库中、2：入库中】 */
    @ApiModelProperty("出入库状态【0：其他、1：出库中、2：入库中】")
    private int inOutStatus;

    /** 传送带上剩余桶数量 */
    @ApiModelProperty("传送带上剩余桶数量")
    private int number;

    /** 急停状态【0：急停、1：正常】 */
    @ApiModelProperty("急停状态【0：急停、1：正常】")
    private int eStopStatus;

    /** 故障状态【0：故障、1：正常】 */
    @ApiModelProperty("故障状态【0：故障、1：正常】")
    private int faultStatus;
}
