package com.wcs.back.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * wcs输送任务完成回调类
 *
 * @author zf
 * @date 2022/11/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "TaskCallBack", description = "wcs回调实体")
public class TaskCallBack {

    /**
     * 任务号
     */
    @ApiModelProperty("任务号")
    @JsonProperty("taskNo")
    private String taskNo;
    /**
     * 序号（同一任务号，序号从0开始）
     */
    @ApiModelProperty("序号（同一任务号，序号从0开始）")
    @JsonProperty("taskIndex")
    private Integer taskIndex;

    /**
     * 目的地标
     */
    @ApiModelProperty("目的地标")
    @JsonProperty("armSite")
    private String armSite;

    /**
     * 目的点动作（0 保持 1 取料 2 下料）
     */
    @ApiModelProperty("目的点动作（0 保持 1 取料 2 下料）")
    @JsonProperty("actionType")
    private Integer actionType;

    /**
     * 指定Agv( 0表示不指定 否则表示为对应的AGVID)
     */
    @ApiModelProperty("指定Agv( 0表示不指定 否则表示为对应的AGVID)")
    @JsonProperty("agv")
    private Integer agv;

    /**
     * 任务创建时间
     */
    @ApiModelProperty("任务创建时间")
    @JsonProperty("buildTime")
    private String buildTime;

    /**
     * 任务被执行时间
     */
    @ApiModelProperty("任务被执行时间")
    @JsonProperty("exeTime")
    private String exeTime;

    /**
     * 任务完成时间
     */
    @ApiModelProperty("任务完成时间")
    private String finishTime;

    /**
     * 0 未执行 1执行中 2取料完成 3已完成 4 已作废
     */
    @ApiModelProperty("0未执行 1执行中 2取料完成 3已完成 4已作废")
    private Integer taskState;

    /**
     * 执行任务的AgvID
     */
    @ApiModelProperty("执行任务的AgvID")
    @JsonProperty("exeAgv")
    private Integer exeAgv;

    /**
     * WMS业务类型  需要在下发任务时带给WCS，成功时带回WMS
     */
    @ApiModelProperty("WMS业务类型  需要在下发任务时带给WCS，成功时带回WMS")
    private String data1;

    /**
     * WMS输送任务标识  需要在下发任务时带给WCS，成功时带回WMS
     */
    @ApiModelProperty("WMS输送任务标识  需要在下发任务时带给WCS，成功时带回WMS")
//    @NotBlank(message = "WMS输送任务标识不能为空")
    @JsonProperty("data2")
    private String data2;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @JsonProperty("data3")
    private String data3;

    /**
     * 备用字段
     */
    @ApiModelProperty("备用字段")
    @JsonProperty("data4")
    private String data4;

    /**
     * 备用字段
     */
    @ApiModelProperty("备用字段")
    @JsonProperty("data5")
    private String data5;

    /**
     * 备用字段
     */
    @ApiModelProperty("备用字段")
    @JsonProperty("data6")
    private String data6;

}
