package com.wcs.back.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * wcs返回
 *
 * @author zf
 * @date 2023/11/27
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WcsResult {

    private static final long serialVersionUID = 1L;

    /**
     * 0失败 1成功
     */
    @JsonProperty("resultCode")
    private Integer resultCode;
    /**
     * 如果失败，该字段记录异常信息
     */
    @JsonProperty("message")
    private String message;

    /**
     * 返回成功消息
     *
     * @return 成功消息
     */
    public static WcsResult success() {
        WcsResult wcsResult = new WcsResult();
        wcsResult.setResultCode(1);
        wcsResult.setMessage("成功");
        return wcsResult;
    }

    /**
     * 返回错误消息
     *
     * @return 失败消息
     */
    public static WcsResult error() {
        WcsResult wcsResult = new WcsResult();
        wcsResult.setResultCode(0);
        wcsResult.setMessage("失败");
        return wcsResult;
    }
}
