package com.wcs.back.domain;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * wcs返回信息
 *
 * @author 中xue
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WcsResult2 {

    private static final long serialVersionUID = 1L;

    /**
     * 信息编码，0：失败，1：成功，其他信息可自定义
     */
    @JsonProperty("code")
    private Integer code;

    /**
     * true：成功，false：失败
     */
    @JsonProperty("state")
    private Boolean state;
    /**
     * 反馈信息说明
     */
    @JsonProperty("message")
    private String message;

    /**
     * 数据
     */
    @JsonProperty("dataInfo")
    private Object dataInfo;

    /**
     * 返回成功消息
     *
     * @return 成功消息
     */
    public static JSONObject success()
    {
        String result = "{\"message\":\"成功\",\"code\":1\"}";
        return JSONObject.parseObject(result);
    }

    /**
     * 返回错误消息
     *
     * @return 失败消息
     */
    public static JSONObject error()
    {
        String result = "{\"message\":\"失败\",\"code\":0\"}";
        return JSONObject.parseObject(result);
    }
}
