package com.wcs.back.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.wcs.back.domain.HkResult;
import com.wcs.back.domain.WcsResult;
import com.wcs.back.domain.WcsResult2;

import javax.servlet.http.HttpServletRequest;

/**
 * wcs回调Interface
 *
 * @author zf
 * @date 2023/11/27
 */
public interface IWcsService {
    /**
     * 普通搬运任务下发
     * @param json
     * @return
     */
    WcsResult SetUp_Task(String json, HttpServletRequest request) throws JsonProcessingException;

    /**
     * 机械臂拆托任务下发
     * @param json
     * @param request
     * @return
     */
    WcsResult Dismantling_Task(String json, HttpServletRequest request) throws JsonProcessingException;

    /**
     * CTU任务下发
     * @param json
     * @param request
     * @return
     */
    WcsResult SetUp_CTUTask(String json, HttpServletRequest request) throws JsonProcessingException;

    /**
     * 滚筒线任务下发
     * @param json
     * @param request
     * @return
     */
    WcsResult DrumLine_Task(String json, HttpServletRequest request) throws JsonProcessingException;

    /**
     * 指令下发
     * @param json
     * @param request
     * @return
     */
    WcsResult Directives(String json, HttpServletRequest request) throws JsonProcessingException;

    /**
     * 获取重量
     * @param rollerID
     * @return
     */
    WcsResult2 GetWeight(String rollerID);

    /**
     * 获取滚筒线信息
     * @return
     */
    WcsResult2 GetRollerInfo();

    /**
     * 海康任务创建
     * @param json
     * @param request
     * @return
     */
    HkResult genAgvSchedulingTask(String json, HttpServletRequest request);
}
